<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

class INTEGRAZO_WCZO_Event_Details
{
    /**
     * Render event or form field selection based on the plugin type.
     *
     * @param array $integration_details
     * @return mixed
     */
    public static function render($integration_details)
{
    return INTEGRAZO_WCZO_WooCommerce_Helper::get_events();
}

    /**
     * Helper to call correct Pro helper class.
     *
     * @param string $from_plugin
     * @return mixed|null
     */
    private static function get_pro_form_data($from_plugin)
    {
        switch ($from_plugin) {
            case 'gravity_form':
                return INTEGRAZO_WCZO_GravityForms_Helper::get_all_forms();
            case 'ninja_form':
                return INTEGRAZO_WCZO_NinjaForms_Helper::get_all_forms();
            case 'formidable_form':
                return INTEGRAZO_WCZO_FormidableForms_Helper::get_all_forms();
            case 'everest_form':
                return INTEGRAZO_WCZO_EverestForms_Helper::get_all_forms();
            case 'fluent_form':
                return INTEGRAZO_WCZO_FluentForms_Helper::get_all_forms();
            case 'forminator_form':
                return INTEGRAZO_WCZO_Forminator_Helper::get_all_forms();
            case 'met_form':
                return INTEGRAZO_WCZO_MetForm_Helper::get_all_forms();
            case 'jet_form':
                return INTEGRAZO_WCZO_JetFormBuilder_Helper::get_all_forms();
            case 'sure_form':
                return INTEGRAZO_WCZO_SureForms_Helper::get_all_forms();
            case 'form_maker':
                return INTEGRAZO_WCZO_FormMaker_Helper::get_all_forms();
            case 'happy_form':
                return INTEGRAZO_WCZO_HappyForms_Helper::get_all_forms();
            case 'we_form':
                return INTEGRAZO_WCZO_weForms_Helper::get_all_forms();
            case 'ws_form':
                return INTEGRAZO_WCZO_WSForm_Helper::get_all_forms();
            case 'quill_forms':
                return INTEGRAZO_WCZO_QuillForm_Helper::get_all_forms();
            case 'nex_forms':
                return INTEGRAZO_WCZO_NEXForms_Helper::get_all_forms();
            case 'kali_forms':
                return INTEGRAZO_WCZO_KaliForms_Helper::get_all_forms();
            case 'ar_forms':
                return INTEGRAZO_WCZO_ARForms_Helper::get_all_forms();

            default:
                return null;
        }
    }
}
